[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.GetFirstVisibleEnabledNode

Gets the first top-level sibling node that is visible and enabled.

## Declaration

Source position: comctrls.pp line 3269

`public function TTreeNodes.GetFirstVisibleEnabledNode: TTreeNode;`

## Function result

Visible TTreeNode instance found in the method, or Nil.

## See also

TTreeNodes.TopLvlItems |  | Provides indexed access to tree nodes at the top level of the tree structure.
TTreeNodes.TopLvlCount |  | The number of tree nodes at the top level of the tree structure.
TTreeNode.Level |  | The number of ancestor nodes for the current tree node.
TTreeNode.Visible |  | True if the tree node is visible in the associated TreeView control.
TTreeNode.Enabled |  | Controls whether the tree node can be selected, and its visual appearance.